Goal conversions

GET https://trk.condoo.systems/api/goals-conversions/
curl --request GET \
--url 'https://trk.condoo.systems/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
goal_id Optional (Optional) Ganzzahl
website_id Optional (Optional) Ganzzahl
datetime_field Optional (Optional) Zeichenkette Erlaubte Werte: datetime
datetime_start Optional (Optional) Zeichenkette Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional (Optional) Zeichenkette Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional (Optional) Zeichenkette Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: conversion_id, datetime.
order_type Optional (Optional) Zeichenkette Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge.
page Optional (Optional) Ganzzahl Die Seitenzahl, von der du die Ergebnisse möchtest. Standardmäßig ist sie 1.
results_per_page Optional (Optional) Ganzzahl Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "event_id": 1,
            "session_id": 1,
            "visitor_id": 1,
            "goal_id": 1,
            "website_id": 1,
            "value": null,
            "expiration_date": "2026-12-05",
            "datetime": "2026-11-05 13:40:15"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://trk.condoo.systems/api/goals-conversions?page=1",
        "last": "https://trk.condoo.systems/api/goals-conversions?page=1",
        "next": null,
        "prev": null,
        "self": "https://trk.condoo.systems/api/goals-conversions?page=1"
    }
}
GET https://trk.condoo.systems/api/goals-conversions/{conversion_id}
curl --request GET \
--url 'https://trk.condoo.systems/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "event_id": 1,
        "session_id": 1,
        "visitor_id": 1,
        "goal_id": 1,
        "website_id": 1,
        "value": null,
        "expiration_date": "2026-12-05",
        "datetime": "2026-11-05 13:40:15"
    }
}
POST https://trk.condoo.systems/api/goals-conversions
Parameter Details Beschreibung
goal_id Erforderlich Ganzzahl -
value Optional (Optional) Float Optional saved conversion value. When omitted, creation uses the configured goal value and updates keep the existing conversion value. Submit an empty value to clear it. Enter a nonnegative value below 10000000000000 with up to 2 decimal places.
visitor_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
session_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
event_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
curl --request POST \
--url 'https://trk.condoo.systems/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "event_id": null,
        "session_id": null,
        "visitor_id": 1,
        "goal_id": 1,
        "website_id": 1,
        "value": null,
        "expiration_date": "2026-12-05",
        "datetime": "2026-11-05 13:40:15"
    }
}
POST https://trk.condoo.systems/api/goals-conversions/{conversion_id}
Parameter Details Beschreibung
goal_id Optional (Optional) Ganzzahl -
value Optional (Optional) Float Optional saved conversion value. When omitted, creation uses the configured goal value and updates keep the existing conversion value. Submit an empty value to clear it. Enter a nonnegative value below 10000000000000 with up to 2 decimal places.
visitor_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
session_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
event_id Optional (Optional) Ganzzahl Verfügbar, wenn: tracking_mode = advanced
curl --request POST \
--url 'https://trk.condoo.systems/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "event_id": 1,
        "session_id": 1,
        "visitor_id": 1,
        "goal_id": 1,
        "website_id": 1,
        "value": null,
        "expiration_date": "2026-12-05",
        "datetime": "2026-11-05 13:40:15"
    }
}
DELETE https://trk.condoo.systems/api/goals-conversions/{conversion_id}
curl --request DELETE \
--url 'https://trk.condoo.systems/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \